Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Charting/ResultList.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Charting/ResultList.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Charting/ResultList.cs	(revision 988)
@@ -50,19 +50,4 @@
 
   public class ResultList : ItemBase {
-    private const string cedmaNS = "http://www.heuristiclab.com/cedma/";
-    private readonly Entity targetVariablePredicate = new Entity(cedmaNS + "TargetVariable");
-    private readonly Entity trainingMAPEPredicate = new Entity(cedmaNS + "MeanAbsolutePercentageErrorTraining");
-    private readonly Entity validationMAPEPredicate = new Entity(cedmaNS + "MeanAbsolutePercentageErrorValidation");
-    private readonly Entity testMAPEPredicate = new Entity(cedmaNS + "MeanAbsolutePercentageErrorTest");
-    private readonly Entity trainingR2Predicate = new Entity(cedmaNS + "CoefficientOfDeterminationTraining");
-    private readonly Entity validationR2Predicate = new Entity(cedmaNS + "CoefficientOfDeterminationValidation");
-    private readonly Entity testR2Predicate = new Entity(cedmaNS + "CoefficientOfDeterminationTest");
-    private readonly Entity treeSizePredicate = new Entity(cedmaNS + "TreeSize");
-    private readonly Entity treeHeightPredicate = new Entity(cedmaNS + "TreeHeight");
-    private readonly Entity selectionPressurePredicate = new Entity(cedmaNS + "SelectionPressure");
-    private readonly Entity rawDataPredicate = new Entity(cedmaNS + "RawData");
-    private readonly Entity hasModelPredicate = new Entity(cedmaNS + "Model");
-    private readonly Entity generatedByPredicate = new Entity(cedmaNS + "GeneratedBy");
-    private readonly Entity anyEntity = new Entity(null);
     private Dictionary<Record, Dataset> datasets;
 
@@ -101,11 +86,9 @@
     }
     private void ReloadList() {
-      var results = store.Select(new Statement(anyEntity, new Entity(cedmaNS + "instanceOf"), new Literal("class:GpFunctionTree")))
+      var results = store.Select(new Statement(Ontology.AnyEntity, Ontology.PredicateInstanceOf, Ontology.TypeGeneticProgrammingFunctionTree))
       .Select(x => store.Select(new SelectFilter(
         new Entity[] { new Entity(x.Subject.Uri) },
-        new Entity[] { targetVariablePredicate, treeSizePredicate, treeHeightPredicate, selectionPressurePredicate,
-          trainingMAPEPredicate, validationMAPEPredicate, testMAPEPredicate,
-          trainingR2Predicate, validationR2Predicate, testR2Predicate },
-          new Resource[] { anyEntity })));
+        new Entity[] { Ontology.PredicateModelAttribute },
+          new Resource[] { Ontology.AnyEntity })));
 
       Random random = new Random();
@@ -143,15 +126,15 @@
       records = new List<Record>();
       datasets = new Dictionary<Record, Dataset>();
-      predicateToVariableName = new Dictionary<Entity, string>();
-      predicateToVariableName[targetVariablePredicate] = Record.TARGET_VARIABLE;
-      predicateToVariableName[treeSizePredicate] = Record.TREE_SIZE;
-      predicateToVariableName[treeHeightPredicate] = Record.TREE_HEIGHT;
-      predicateToVariableName[selectionPressurePredicate] = Record.SELECTIONPRESSURE;
-      predicateToVariableName[trainingMAPEPredicate] = Record.MAPE_TRAINING;
-      predicateToVariableName[validationMAPEPredicate] = Record.MAPE_VALIDATION;
-      predicateToVariableName[testMAPEPredicate] = Record.MAPE_TEST;
-      predicateToVariableName[trainingR2Predicate] = Record.R2_TRAINING;
-      predicateToVariableName[validationR2Predicate] = Record.R2_VALIDATION;
-      predicateToVariableName[testR2Predicate] = Record.R2_TEST;
+      //predicateToVariableName = new Dictionary<Entity, string>();
+      //predicateToVariableName[targetVariablePredicate] = Record.TARGET_VARIABLE;
+      //predicateToVariableName[treeSizePredicate] = Record.TREE_SIZE;
+      //predicateToVariableName[treeHeightPredicate] = Record.TREE_HEIGHT;
+      //predicateToVariableName[selectionPressurePredicate] = Record.SELECTIONPRESSURE;
+      //predicateToVariableName[trainingMAPEPredicate] = Record.MAPE_TRAINING;
+      //predicateToVariableName[validationMAPEPredicate] = Record.MAPE_VALIDATION;
+      //predicateToVariableName[testMAPEPredicate] = Record.MAPE_TEST;
+      //predicateToVariableName[trainingR2Predicate] = Record.R2_TRAINING;
+      //predicateToVariableName[validationR2Predicate] = Record.R2_VALIDATION;
+      //predicateToVariableName[testR2Predicate] = Record.R2_TEST;
     }
 
@@ -161,5 +144,5 @@
 
     internal void OpenModel(Record record) {
-      IList<Statement> modelResults = store.Select(new Statement(new Entity(record.Uri), rawDataPredicate, anyEntity));
+      IList<Statement> modelResults = store.Select(new Statement(new Entity(record.Uri), Ontology.PredicateSerializedData, Ontology.AnyEntity));
       if(modelResults.Count == 1) {
         string rawData = ((SerializedLiteral)modelResults[0].Property).RawData;
@@ -177,7 +160,7 @@
     private Dataset GetDataset(Record record) {
       if(!datasets.ContainsKey(record)) {
-        IList<Statement> result = store.Select(new Statement(anyEntity, hasModelPredicate, new Entity(record.Uri)));
+        IList<Statement> result = store.Select(new Statement(Ontology.AnyEntity, Ontology.PredicateHasModel, new Entity(record.Uri)));
         if(result.Count == 1) {
-          IList<Statement> datasetResult = store.Select(new Statement(result[0].Subject, rawDataPredicate, anyEntity));
+          IList<Statement> datasetResult = store.Select(new Statement(result[0].Subject, Ontology.PredicateSerializedData, Ontology.AnyEntity));
           if(datasetResult.Count == 1) {
             string rawData = ((SerializedLiteral)datasetResult[0].Property).RawData;
@@ -193,7 +176,7 @@
 
     internal void OpenAlgorithm(Record record) {
-      IList<Statement> generatedBy = store.Select(new Statement(new Entity(record.Uri), generatedByPredicate, anyEntity));
+      IList<Statement> generatedBy = store.Select(new Statement(new Entity(record.Uri), Ontology.PredicateGeneratedBy, Ontology.AnyEntity));
       if(generatedBy.Count == 1) {
-        IList<Statement> algoResult = store.Select(new Statement((Entity)generatedBy[0].Property, rawDataPredicate, anyEntity));
+        IList<Statement> algoResult = store.Select(new Statement((Entity)generatedBy[0].Property, Ontology.PredicateSerializedData, Ontology.AnyEntity));
         if(algoResult.Count == 1) {
           string rawData = ((SerializedLiteral)algoResult[0].Property).RawData;
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/ConsoleEditor.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/ConsoleEditor.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/ConsoleEditor.cs	(revision 988)
@@ -36,10 +36,5 @@
     private System.Windows.Forms.Label uriLabel;
     private Button connectButton;
-    private Button openOpLibButton;
-    private Label label1;
-    private Label resultsLabel;
-    private Button openResultsButton;
-    private Button openAgentsButton;
-    private Label agentsLabel;
+    private Panel serverPanel;
     private Console console;
 
@@ -47,4 +42,5 @@
       InitializeComponent();
       this.console = console;
+      serverPanel.Enabled = false;
     }
 
@@ -54,10 +50,5 @@
       this.uriLabel = new System.Windows.Forms.Label();
       this.connectButton = new System.Windows.Forms.Button();
-      this.openOpLibButton = new System.Windows.Forms.Button();
-      this.label1 = new System.Windows.Forms.Label();
-      this.resultsLabel = new System.Windows.Forms.Label();
-      this.openResultsButton = new System.Windows.Forms.Button();
-      this.openAgentsButton = new System.Windows.Forms.Button();
-      this.agentsLabel = new System.Windows.Forms.Label();
+      this.serverPanel = new System.Windows.Forms.Panel();
       this.SuspendLayout();
       // 
@@ -88,70 +79,18 @@
       this.connectButton.Click += new System.EventHandler(this.connectButton_Click);
       // 
-      // openOpLibButton
+      // serverPanel
       // 
-      this.openOpLibButton.Enabled = false;
-      this.openOpLibButton.Location = new System.Drawing.Point(94, 85);
-      this.openOpLibButton.Name = "openOpLibButton";
-      this.openOpLibButton.Size = new System.Drawing.Size(75, 23);
-      this.openOpLibButton.TabIndex = 7;
-      this.openOpLibButton.Text = "&Open";
-      this.openOpLibButton.UseVisualStyleBackColor = true;
-      // 
-      // label1
-      // 
-      this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(3, 90);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(85, 13);
-      this.label1.TabIndex = 8;
-      this.label1.Text = "Operator Library:";
-      // 
-      // resultsLabel
-      // 
-      this.resultsLabel.AutoSize = true;
-      this.resultsLabel.Location = new System.Drawing.Point(43, 61);
-      this.resultsLabel.Name = "resultsLabel";
-      this.resultsLabel.Size = new System.Drawing.Size(45, 13);
-      this.resultsLabel.TabIndex = 9;
-      this.resultsLabel.Text = "Results:";
-      // 
-      // openResultsButton
-      // 
-      this.openResultsButton.Enabled = false;
-      this.openResultsButton.Location = new System.Drawing.Point(94, 56);
-      this.openResultsButton.Name = "openResultsButton";
-      this.openResultsButton.Size = new System.Drawing.Size(75, 23);
-      this.openResultsButton.TabIndex = 10;
-      this.openResultsButton.Text = "&Open";
-      this.openResultsButton.UseVisualStyleBackColor = true;
-      // 
-      // openAgentsButton
-      // 
-      this.openAgentsButton.Enabled = false;
-      this.openAgentsButton.Location = new System.Drawing.Point(94, 27);
-      this.openAgentsButton.Name = "openAgentsButton";
-      this.openAgentsButton.Size = new System.Drawing.Size(75, 23);
-      this.openAgentsButton.TabIndex = 12;
-      this.openAgentsButton.Text = "&Open";
-      this.openAgentsButton.UseVisualStyleBackColor = true;
-      // 
-      // agentsLabel
-      // 
-      this.agentsLabel.AutoSize = true;
-      this.agentsLabel.Location = new System.Drawing.Point(45, 32);
-      this.agentsLabel.Name = "agentsLabel";
-      this.agentsLabel.Size = new System.Drawing.Size(43, 13);
-      this.agentsLabel.TabIndex = 11;
-      this.agentsLabel.Text = "Agents:";
+      this.serverPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.serverPanel.Location = new System.Drawing.Point(3, 29);
+      this.serverPanel.Name = "serverPanel";
+      this.serverPanel.Size = new System.Drawing.Size(439, 157);
+      this.serverPanel.TabIndex = 4;
       // 
       // ConsoleEditor
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.Controls.Add(this.openAgentsButton);
-      this.Controls.Add(this.agentsLabel);
-      this.Controls.Add(this.openResultsButton);
-      this.Controls.Add(this.resultsLabel);
-      this.Controls.Add(this.label1);
-      this.Controls.Add(this.openOpLibButton);
+      this.Controls.Add(this.serverPanel);
       this.Controls.Add(this.connectButton);
       this.Controls.Add(this.uriLabel);
@@ -170,7 +109,9 @@
         console.Connect(uriTextBox.Text);
         connectButton.Enabled = false;
-        openOpLibButton.Enabled = true;
-        openAgentsButton.Enabled = true;
-        openResultsButton.Enabled = true;
+        serverPanel.Enabled = true;
+        serverPanel.Controls.Clear();
+        Control dataSetListView = (Control)console.DataSetList.CreateView();
+        dataSetListView.Dock = DockStyle.Fill;
+        serverPanel.Controls.Add(dataSetListView);
       } catch(CommunicationException ex) {
         MessageBox.Show("Exception while trying to connect to " + uriTextBox.Text + "\n" + ex.Message);
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSet.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSet.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSet.cs	(revision 988)
@@ -32,8 +32,16 @@
   public class DataSet {
     public IStore Store { get; set; }
-    public long Id { get; set; }
-    public string Name { get; set; }
+
+    private Guid guid;
+    public Guid Guid {
+      get { return guid; }
+    }
+
+    private string name;
+    public string Name {
+      get { return name; }
+    }
+
     private Problem problem;
-
     public Problem Problem {
       get { return problem; }
@@ -42,23 +50,22 @@
     public DataSet()
       : base() {
+      guid = Guid.NewGuid();
       problem = new Problem();
     }
 
-    public DataSet(IStore store, long id)
+    public DataSet(IStore store, Entity dataSetEntity)
       : this() {
       Store = store;
-      Id = id;
-    }
-
-    public void Save() {
-      throw new NotImplementedException();
+      guid = new Guid(dataSetEntity.Uri.Remove(0, Ontology.CedmaNameSpace.Length));
+      IList<Statement> names = store.Select(new Statement(dataSetEntity, Ontology.PredicateName, Ontology.AnyEntity));
+      if (names.Count > 0) name = (string)((Literal)names[0].Property).Value;
+      else name = guid.ToString();
     }
 
     public void Activate() {
-      throw new NotImplementedException();
-    }
-
-    private void UpdateDataSet(long Id, byte[] p) {
-      throw new NotImplementedException();
+      Entity myEntity = new Entity (Ontology.CedmaNameSpace + Guid);
+      Store.Add(new Statement(myEntity, Ontology.PredicateInstanceOf, Ontology.TypeDataSet));
+      Store.Add(new Statement(myEntity, Ontology.PredicateSerializedData, new Literal(PersistenceManager.SaveToGZip(problem))));
+      Store.Add(new Statement(myEntity, Ontology.PredicateName, new Literal(name)));
     }
 
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs	(revision 988)
@@ -46,5 +46,4 @@
     private void InitializeComponent() {
       this.editorGroupBox = new System.Windows.Forms.GroupBox();
-      this.saveButton = new System.Windows.Forms.Button();
       this.activateButton = new System.Windows.Forms.Button();
       this.SuspendLayout();
@@ -62,34 +61,22 @@
       this.editorGroupBox.Text = "&Editor:";
       // 
-      // saveButton
-      // 
-      this.saveButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.saveButton.Location = new System.Drawing.Point(4, 128);
-      this.saveButton.Name = "saveButton";
-      this.saveButton.Size = new System.Drawing.Size(75, 23);
-      this.saveButton.TabIndex = 1;
-      this.saveButton.Text = "&Save";
-      this.saveButton.UseVisualStyleBackColor = true;
-      this.saveButton.Click += new System.EventHandler(this.saveButton_Click);
-      // 
       // activateButton
       // 
       this.activateButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.activateButton.Location = new System.Drawing.Point(85, 128);
+      this.activateButton.Location = new System.Drawing.Point(3, 128);
       this.activateButton.Name = "activateButton";
       this.activateButton.Size = new System.Drawing.Size(75, 23);
       this.activateButton.TabIndex = 2;
-      this.activateButton.Text = "&Start";
+      this.activateButton.Text = "&Activate";
       this.activateButton.UseVisualStyleBackColor = true;
       this.activateButton.Click += new System.EventHandler(this.activateButton_Click);
       // 
-      // AgentView
+      // DataSetView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.activateButton);
-      this.Controls.Add(this.saveButton);
       this.Controls.Add(this.editorGroupBox);
-      this.Name = "AgentView";
+      this.Name = "DataSetView";
       this.Size = new System.Drawing.Size(274, 154);
       this.ResumeLayout(false);
@@ -100,5 +87,4 @@
 
     private System.Windows.Forms.GroupBox editorGroupBox;
-    private System.Windows.Forms.Button saveButton;
     private System.Windows.Forms.Button activateButton;
   }
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.cs	(revision 988)
@@ -52,8 +52,7 @@
       editorGroupBox.Controls.Clear();
       editorGroupBox.Enabled = false;
-    }
-
-    private void saveButton_Click(object sender, EventArgs e) {
-      DataSet.Save();
+      Control problemControl = (Control)DataSet.Problem.CreateView();
+      problemControl.Dock = DockStyle.Fill;
+      editorGroupBox.Controls.Add(problemControl);
     }
 
@@ -64,2 +63,3 @@
   }
 }
+
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Problem.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Problem.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Problem.cs	(revision 988)
@@ -36,5 +36,9 @@
   ///  * regression, time-series or classification problem
   /// </summary>
-  public class Problem {
+  public class Problem : ItemBase {
+    private string name;
+    public string Name {
+      get { return name; }
+    }
     public Problem()
       : base() {
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj	(revision 988)
@@ -70,4 +70,5 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Ontology.cs" />
     <Compile Include="SelectFilter.cs" />
     <Compile Include="SerializedLiteral.cs" />
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB.Interfaces/Ontology.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB.Interfaces/Ontology.cs	(revision 988)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB.Interfaces/Ontology.cs	(revision 988)
@@ -0,0 +1,128 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.CEDMA.DB.Interfaces;
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.CEDMA.DB.Interfaces {
+  public static class Ontology {
+    public static string CedmaNameSpace {
+      get { return "http://www.heuristiclab.com/cedma/"; }
+    }
+
+    #region model attributes
+    public static Entity PredicateModelAttribute {
+      get { return new Entity(CedmaNameSpace + "ModelAttribute"); }
+    }
+    public static Entity PredicateModelAttributeName {
+      get { return new Entity(CedmaNameSpace + "ModelAttributeName"); }
+    }
+    public static Entity PredicateModelAttributeValue {
+      get { return new Entity(CedmaNameSpace + "ModelAttributeValue"); }
+    }
+    public static Entity PredicateModelAttributeType {
+      get { return new Entity(CedmaNameSpace + "ModelAttributeType"); }
+    }
+    /// <summary>
+    /// Attribute value is ordinal, values can be sorted.
+    /// Examples are quality measures or complexity measures.
+    /// </summary>
+    public static Entity TypeOrdinalAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeOrdinalAttribute"); }
+    }
+    /// <summary>
+    /// Attribute value is categorical and thus can't be sorted.
+    /// Examples is target-variable.
+    /// </summary>
+    public static Entity TypeCategoricalAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeCategoricalAttribute"); }
+    }
+    /// <summary>
+    /// Attribute is a quality measure
+    /// </summary>
+    public static Entity TypeQualityAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeQualityAttribute"); }
+    }
+    /// <summary>
+    /// Attribute is a complexity measure
+    /// </summary>
+    public static Entity TypeComplexityAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeComplexityAttribute"); }
+    }
+    #endregion
+
+    #region meta-data predicates
+    public static Entity PredicateName {
+      get { return new Entity(CedmaNameSpace + "Name"); }
+    }
+    /// <summary>
+    /// Each entity can have a serialized XML representation that can be loaded in HL.
+    /// </summary>
+    public static Entity PredicateSerializedData {
+      get { return new Entity(CedmaNameSpace + "SerializedData"); }
+    }
+    /// <summary>
+    /// Link from data set to model.
+    /// A data set can have multiple models.
+    /// </summary>
+    public static Entity PredicateHasModel {
+      get { return new Entity(CedmaNameSpace + "Model"); }
+    }
+    /// <summary>
+    /// Link from model to algorithm.
+    /// An algorithm can generate multiple models, each model is generated by exactly one algorithm.
+    /// </summary>
+    public static Entity PredicateGeneratedBy {
+      get { return new Entity(CedmaNameSpace + "GeneratedBy"); }
+    }
+    #endregion
+
+    #region types and type relations
+    public static Entity PredicateInstanceOf {
+      get { return new Entity(CedmaNameSpace + "InstanceOf"); }
+    }
+    public static Entity TypeGeneticProgrammingFunctionTree {
+      get { return new Entity(CedmaNameSpace + "FunctionTree"); }
+    }
+    public static Entity TypeDataSet {
+      get { return new Entity(CedmaNameSpace + "DataSet"); }
+    }
+    public static Entity TypeAlgorithm {
+      get { return new Entity(CedmaNameSpace + "Algorithm"); }
+    }
+    public static Entity TypeModel {
+      get { return new Entity(CedmaNameSpace + "Model"); }
+    }
+    #endregion
+
+    /// <summary>
+    /// Wildcard entity for filtering.
+    /// </summary>
+    public static Entity AnyEntity {
+      get { return new Entity(null); }
+    }
+
+  }
+}
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj	(revision 988)
@@ -102,4 +102,5 @@
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </Content>
+    <Content Include="SemWeb.SqliteStore.dll" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB/HeuristicLabCedmaDbPlugin.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB/HeuristicLabCedmaDbPlugin.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.DB/HeuristicLabCedmaDbPlugin.cs	(revision 988)
@@ -28,5 +28,4 @@
   [ClassInfo(Name = "HeuristicLab.CEDMA.DB-3.2")]
   [PluginFile(Filename = "HeuristicLab.CEDMA.DB-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.SQLite-3.2")]
   [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.2")]
   public class HeuristicLabCedmaDbPlugin : PluginBase {
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj	(revision 988)
@@ -75,11 +75,6 @@
     <Compile Include="MakeLiteralStatement.cs" />
     <Compile Include="MakeItemStatement.cs" />
-    <Compile Include="ResultsExtractor.cs" />
-    <Compile Include="InjectedVariableExtractor.cs" />
-    <Compile Include="SplitScopeToItemsResultWriter.cs" />
     <Compile Include="ItemMailer.cs" />
-    <Compile Include="ScopeResultWriter.cs" />
     <Compile Include="HeuristicLabCedmaOperatorsPlugin.cs" />
-    <Compile Include="OnGridProcessor.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj	(revision 988)
@@ -75,5 +75,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="RunScheduler.cs" />
     <Compile Include="ServerApplication.cs" />
     <Compile Include="HeuristicLabCedmaServerPlugin.cs" />
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/RunScheduler.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/RunScheduler.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/RunScheduler.cs	(revision 988)
@@ -42,5 +42,4 @@
     }
     private string serverUri;
-    private Database database;
     private JobManager jobManager;
     private const int RELEASE_INTERVAL = 5;
@@ -50,6 +49,5 @@
     private AutoResetEvent runningJobs = new AutoResetEvent(false);
 
-    public RunScheduler(Database database, JobManager jobManager, string serverUri) {
-      this.database = database;
+    public RunScheduler(JobManager jobManager, string serverUri) {
       this.jobManager = jobManager;
       this.serverUri = serverUri;
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/ServerForm.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/ServerForm.cs	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Server/ServerForm.cs	(revision 988)
@@ -43,9 +43,5 @@
   public partial class ServerForm : Form {
     private ServiceHost host;
-    private ServiceHost rdfHost;
-    private Database database;
     private Store store;
-    private static readonly string dbFile = AppDomain.CurrentDomain.BaseDirectory + "/test.db3";
-    private static readonly string connectionString = "Data Source=\"" + dbFile + "\";Pooling=False";
     private static readonly string rdfFile = AppDomain.CurrentDomain.BaseDirectory + "rdf_store.db3";
     private static readonly string rdfConnectionString = "sqlite:rdf:Data Source=\"" + rdfFile + "\"";
@@ -63,18 +59,4 @@
       JobManager jobManager = new JobManager(gridAddress.Text);
       jobManager.Reset();
-      RunScheduler scheduler = new RunScheduler(database, jobManager, addressTextBox.Text);
-      Thread runSchedulerThread = new Thread(scheduler.Run);
-      runSchedulerThread.Start();
-    }
-
-    private void InitDatabase() {
-      DbProviderFactory fact;
-      fact = DbProviderFactories.GetFactory("System.Data.SQLite");
-      if(!System.IO.File.Exists(dbFile)) {
-        database = new Database(connectionString);
-        database.CreateNew();
-      } else {
-        database = new Database(connectionString);
-      }
     }
 
@@ -84,14 +66,11 @@
 
     private void Start() {
-      InitDatabase();
       InitRdfStore();
       InitRunScheduler();
 
-      host = new ServiceHost(database, new Uri(addressTextBox.Text));
-      rdfHost = new ServiceHost(store, new Uri(addressTextBox.Text+"/RdfStore"));
+      host = new ServiceHost(store, new Uri(addressTextBox.Text));
       ServiceThrottlingBehavior throttlingBehavior = new ServiceThrottlingBehavior();
       throttlingBehavior.MaxConcurrentSessions = 20;
       host.Description.Behaviors.Add(throttlingBehavior);
-      rdfHost.Description.Behaviors.Add(throttlingBehavior);
       try {
         NetTcpBinding binding = new NetTcpBinding();
@@ -101,12 +80,9 @@
         binding.Security.Mode = SecurityMode.None;
 
-        host.AddServiceEndpoint(typeof(IDatabase), binding, addressTextBox.Text);
+        host.AddServiceEndpoint(typeof(IStore), binding, addressTextBox.Text);
         host.Open();
-        rdfHost.AddServiceEndpoint(typeof(IStore), binding, addressTextBox.Text+"/RdfStore");
-        rdfHost.Open();
       } catch(CommunicationException ex) {
         MessageBox.Show("An exception occurred: " + ex.Message);
         host.Abort();
-        rdfHost.Abort();
       }
     }
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.sln
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.sln	(revision 987)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.sln	(revision 988)
@@ -160,5 +160,4 @@
 		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F43B59AB-2B8C-4570-BC1E-15592086517C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -175,5 +174,4 @@
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -190,5 +188,4 @@
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{47019A74-F7F7-482E-83AA-D3F4F777E879}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -204,5 +201,4 @@
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Visualization Debug|x86.Build.0 = Debug|x86
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -218,5 +214,4 @@
 		{9EF75B49-D507-44E0-BC5D-C200FDA53B9B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -247,5 +242,4 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -261,5 +255,4 @@
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Visualization Debug|x86.Build.0 = Debug|x86
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{B4BE8E53-BA06-4237-9A01-24255F880201}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -275,5 +268,4 @@
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -289,5 +281,4 @@
 		{6E757D0E-20F9-4E89-AF06-D7DA256870DB}.Visualization Debug|x86.Build.0 = Debug|x86
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -303,5 +294,4 @@
 		{55FDCFB3-3E8C-4FB0-837C-0CF06BEDED39}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F5614C53-153C-4A37-A608-121E1C087F07}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F5614C53-153C-4A37-A608-121E1C087F07}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F5614C53-153C-4A37-A608-121E1C087F07}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -317,5 +307,4 @@
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -331,5 +320,4 @@
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{205898D3-2717-4686-AF17-52409B7EC0C6}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -359,5 +347,4 @@
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -373,5 +360,4 @@
 		{4C0EF782-CC94-4A94-BC3E-661D2600559B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{B462D3CC-8866-42F0-9832-AD0967613B72}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -387,5 +373,4 @@
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -401,5 +386,4 @@
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -415,5 +399,4 @@
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -429,5 +412,4 @@
 		{E39AF78A-9692-472B-B061-E2F1B1AB2C92}.Visualization Debug|x86.Build.0 = Debug|x86
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -444,5 +426,4 @@
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Visualization Debug|x86.Build.0 = Debug|x86
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -458,5 +439,4 @@
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -472,5 +452,4 @@
 		{6D9564BB-956D-4808-8F92-AA7F776F90A5}.Visualization Debug|x86.Build.0 = Debug|x86
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -486,5 +465,4 @@
 		{2D4E4565-3ED9-4BEB-AE75-39D871843D24}.Visualization Debug|x86.Build.0 = Debug|x86
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -500,5 +478,4 @@
 		{9A781B2F-A58D-4270-A28A-3B14BBC11F4A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -514,5 +491,4 @@
 		{C2FB432A-07CA-45B5-BAFE-FEC172D1107B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -528,5 +504,4 @@
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -542,5 +517,4 @@
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Visualization Debug|x86.Build.0 = Debug|x86
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -556,5 +530,4 @@
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Visualization Debug|x86.Build.0 = Debug|x86
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -570,5 +543,4 @@
 		{2E6112A7-3A94-406D-A28C-38AC2D324DCA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{6960CBCD-E44B-49B0-BA86-671091C42C36}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -659,5 +631,4 @@
 		{C27DDF6C-84DF-45EF-B82F-57A28DD51166}.Visualization Debug|x86.Build.0 = Debug|x86
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{39DEF061-8261-43DB-8B3B-C7555251FF77}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -673,5 +644,4 @@
 		{39DEF061-8261-43DB-8B3B-C7555251FF77}.Visualization Debug|x86.Build.0 = Debug|x86
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F18FD554-19B9-460C-9A49-4AA8D7245727}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -702,5 +672,4 @@
 		{1BF17271-5350-476A-8F6D-FC74FA3E82CA}.Visualization Debug|x86.Build.0 = Debug|x86
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -716,5 +685,4 @@
 		{14E1C3E3-2496-436A-AE00-09F7B81DB15B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -730,5 +698,4 @@
 		{6AEF1284-2428-4B01-B9D2-62C1FA7C2DE1}.Visualization Debug|x86.Build.0 = Debug|x86
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -744,5 +711,4 @@
 		{32DAA44F-944A-465F-A5C9-1C491EE4976D}.Visualization Debug|x86.Build.0 = Debug|x86
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -759,5 +725,4 @@
 		{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}.Visualization Debug|x86.Build.0 = Debug|x86
 		{23117533-8A91-474E-BBF6-C39485D0810A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{23117533-8A91-474E-BBF6-C39485D0810A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{23117533-8A91-474E-BBF6-C39485D0810A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -774,5 +739,4 @@
 		{23117533-8A91-474E-BBF6-C39485D0810A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -788,5 +752,4 @@
 		{1F5FA590-1D2D-406C-BDBD-03BAECEA3C80}.Visualization Debug|x86.Build.0 = Debug|x86
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{1F1CF3ED-374C-4288-995B-93F6B872F571}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -802,5 +765,4 @@
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Visualization Debug|x86.Build.0 = Debug|x86
 		{74223A32-C726-4978-BE78-37113A18373C}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{74223A32-C726-4978-BE78-37113A18373C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{74223A32-C726-4978-BE78-37113A18373C}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{74223A32-C726-4978-BE78-37113A18373C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -816,5 +778,4 @@
 		{74223A32-C726-4978-BE78-37113A18373C}.Visualization Debug|x86.Build.0 = Debug|x86
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{7C20D100-8BEB-433A-9499-F075E2CB9297}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -830,5 +791,4 @@
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Visualization Debug|x86.Build.0 = Debug|x86
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{6084CFB5-733F-449D-9F92-2E40D13F0514}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -844,5 +804,4 @@
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Visualization Debug|x86.Build.0 = Debug|x86
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -858,5 +817,4 @@
 		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Visualization Debug|x86.Build.0 = Debug|x86
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -872,5 +830,4 @@
 		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{679E977A-117B-456E-8594-2A4DEADB658B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{679E977A-117B-456E-8594-2A4DEADB658B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{679E977A-117B-456E-8594-2A4DEADB658B}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -886,5 +843,4 @@
 		{679E977A-117B-456E-8594-2A4DEADB658B}.Visualization Debug|x86.Build.0 = Debug|x86
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -900,5 +856,4 @@
 		{715A9134-B6E4-4CB9-8A5A-E6601497565A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -914,5 +869,4 @@
 		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -928,5 +882,4 @@
 		{89F4BC52-C174-481E-9BD2-3814171020E8}.Visualization Debug|x86.Build.0 = Debug|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -941,5 +894,4 @@
 		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Visualization Debug|x86.Build.0 = Debug|x86
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A0821479-801F-43DF-B788-AE92FB410DA9}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -955,5 +907,4 @@
 		{A0821479-801F-43DF-B788-AE92FB410DA9}.Visualization Debug|x86.Build.0 = Debug|x86
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -969,5 +920,4 @@
 		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Visualization Debug|x86.Build.0 = Debug|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -983,5 +933,4 @@
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Visualization Debug|x86.Build.0 = Debug|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
@@ -997,5 +946,4 @@
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Visualization Debug|x86.Build.0 = Debug|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.CEDMA Debug|x86.ActiveCfg = Debug|x86
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
